package com.base.core.model.enity;

import java.util.ArrayList;
import java.util.List;

public class MaxPayload {
	/**
	 * 载荷ID
	 */
	private String id;
	/**
	 * 最大幅宽
	 */
	private double SwathWidth;
	/**
	 * 最大幅宽重叠区域
	 */
	private double Overlap;
	/**
	 * 最大载荷幅宽包含网格数量
	 */
	private int gridcount;
	/**
	 * 条带的轨迹
	 */
//	private ReportPoint rp;
	private List<SubPoint> TrackPointlist = new ArrayList<SubPoint>();
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public double getSwathWidth() {
		return SwathWidth;
	}
	public void setSwathWidth(double swathWidth) {
		SwathWidth = swathWidth;
	}
	public int getGridcount() {
		return gridcount;
	}
	public void setGridcount(int gridcount) {
		this.gridcount = gridcount;
	}
	public List<SubPoint> getTrackPointlist() {
		return TrackPointlist;
	}
	public void setTrackPointlist(List<SubPoint> trackPointlist) {
		TrackPointlist = trackPointlist;
	}
	public double getOverlap() {
		return Overlap;
	}
	public void setOverlap(double overlap) {
		Overlap = overlap;
	}
	
	//以下 gaoyue 20190715 edit
	/**
	 * 最大载荷分辨率
	 */
	private double resolution;
	/**
	 * 最大载荷类型名
	 */
	private String sensorname;
	public double getResolution() {
		return resolution;
	}
	public void setResolution(double resolution) {
		this.resolution = resolution;
	}
	public String getSensorname() {
		return sensorname;
	}
	public void setSensorname(String sensorname) {
		this.sensorname = sensorname;
	}
}
